function [date, daten] = makedate(ys,mqs,ye,mqe,Freq)


date_s_y = ys;
date_s_mq = mqs;

date_e_y = ye;
date_e_mq = mqe;



if Freq=='Q'

    if sum(mqs==[ 3 6 9 12])+sum(mqe==[ 3 6 9 12])~=2
        disp('ERROR IN THE QUARTERLY DATE FORMATTING')
        date = []; daten = [];
        return
        
    end

    date = [[kron((date_s_y)',ones(size(date_s_mq:3:12,2),1)) (date_s_mq:3:12)'];...
        [kron((date_s_y+1:date_e_y-1)',ones(4,1)) kron(ones(size((date_s_y+1:date_e_y-1)',1),1),([3 6 9 12])')];...
        [kron((date_e_y)',ones(size(3:3:date_e_mq,2),1)) (3:3:date_e_mq)']];
else
    date = [[kron((date_s_y)',ones(12-date_s_mq+1,1)) (date_s_mq:12)'];...
        [kron((date_s_y+1:date_e_y-1)',ones(12,1)) kron(ones(size((date_s_y+1:date_e_y-1)',1),1),(1:12)')];...
        [kron((date_e_y)',ones(date_e_mq,1)) (1:date_e_mq)']];
end

daten = datenum(date(:,1),date(:,2),15);
