function [IRF var_dec] =irf_chol(B,c_cov,N,L,c,t,stand)  

lags = L;

AA = reshape(B,size(B,1)/N,N)';
A = [AA(:,c+1:end); [eye(N*(lags-1)) zeros(N*(lags-1),N)]];

M = zeros((lags)); M(1,1)=1;
CC = kron(M,chol(c_cov)');


for i=0:t
    irf(:,:,i+1)=A^i*CC;
    end

temp1= zeros(size(A,1),size(A,2));
temp2= zeros(size(A,1),size(A,2));
for jj = 1:t
    temp1= temp1 + (A^(jj-1)*CC).^2;
    temp2 = kron(sum(temp1,2),ones(1,lags*N));
    var_dec(:,:,jj)=temp1./temp2;
end

if stand==0
    IRF = irf(1:N,1:N,:);
end


irf(1:N,1:N,i+1)*diag(diag(chol(c_cov)'))^-1;
if stand == 1
    for i=0:t
            IRF(1:N,1:N,i+1) = irf(1:N,1:N,i+1)*diag(diag(chol(c_cov)'))^-1;
    end
end
